export declare class NHSNumber {
    /**
     * Takes a 9-digit number, and generates the final checksum value in order to make it NHS complaint
     *
     * @see https://en.wikipedia.org/wiki/NHS_number
     *
     * @param input - The number we'd want to generate the checksum for
     *
     * @returns string - as we want to ensure that the number can begin with 0, and avoids any weird Javascript math issues.
     */
    private static generateMod11;
    /**
     * Used to check if a string provided is a valid NHS compliant number or not.
     *
     * @param input - The number that wants to be validated.
     *
     * @returns boolean
     */
    static validate(input: string): boolean;
    /**
     * Generates and returns a single NHS compliant number
     *
     * TODO - May look at having an option to limit the attempts, with it being a potential infinite loop.
     *
     * @returns string - an example NHS compliant number
     */
    static generate(): string;
}
